<!DOCTYPE html>
<html lang="en">
<head>
     <meta charset="UTF-8">
     <meta name="viewport" content="width=device-width, initial-scale=1.0">
     <title>Danh Sách Sản Phẩm</title>

     <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
     <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
     <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
   
     <!-- Import Datatable sau jquery -->
     <!-- Import them style bootstrap cho datatable -->
     <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
     <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
     <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>
<body>
     <div class="container">
          <h2 style="text-align: center;">Danh Sách Sản Phẩm</h2>
          <table class="table table-bordered table-hover table-striped" id="user-table">
               <thead>
                    <tr>
                         <th>STT</th>
                         <th>Mã sản phẩm</th>
                         <th>Giá tiền</th>
                         <th>Ngày tạo</th>
                         <th>Ngày cập nhật</th>
                    </tr>
               </thead>
          </table>
     </div>
     <script>
          $(document).ready(function(){
               var table = $("#user-table").DataTable({
                    "columns":[{
                         "data":"id"
                    },
                    {
                         "data": "maSanPham"
                    },
                    {
                         "data": "price"
                    },
                    {
                         "data": "ngayTao"
                    },
                    {
                         "data": "ngayCapNhat"
                    }
               ]
               });
               $.ajax({
                    url: "http://localhost:8080/product",
                    type: "GET", 
                    dataType: 'json',
                    success: function(res){
                         console.log(res);
                         //xóa toàn bô dữ liêu trong bảng 
                         table.clear();
                         //add dữ liêu vào bảng 
                         table.rows.add(res);

                         //câp nhât lai giao diên cho bảng 
                         table.draw();
                    }, 
                    error: function(err){
                         console.log(err.responseText);
                    }
               });
          });
     </script>
</body>
</html>